/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.peetz.tradingcards.dal;

import com.peetz.tradingcards.entity.SportEntity;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author tpeetz
 */
@Local
public interface SportDao {
    public SportEntity getById(Long id);
	
    public List<SportEntity> findByIds(List<Long> ids);
	
    public List<SportEntity> findByName(String name);
	
    public SportEntity store(SportEntity entity);
	
    public void delete(SportEntity entity);
}
